ApiClusterSupportToken (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiClusterSupportToken

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiClusterSupportToken

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiClusterSupportToken
      extends Object

  Information about a cluster support token. <p> The cluster support token indicates the current usage of a cluster managed by Cloudera Manager. The cluster support token is an ASCII encoded string of 32 characters. It is unique to each cluster.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiClusterSupportToken()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClusterSupportToken` | `clusterName(String clusterName)`
    `ApiClusterSupportToken` | `clusterSupportToken(String clusterSupportToken)`
    `ApiClusterSupportToken` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `String` | `getClusterName()` The name of the cluster.
    `String` | `getClusterSupportToken()` The unique support token for a cluster.
    `String` | `getDisplayName()` The display name of the cluster that is shown in the UI.
    `int` | `hashCode()`
    `void` | `setClusterName(String clusterName)`
    `void` | `setClusterSupportToken(String clusterSupportToken)`
    `void` | `setDisplayName(String displayName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiClusterSupportToken

          public ApiClusterSupportToken()

  - ### Method Detail

    - #### clusterName

          public ApiClusterSupportToken clusterName(String clusterName)

    - #### getClusterName

          public String getClusterName()

      The name of the cluster. <p> Immutable since API v6. <p> Prior to API v6, will contain the display name of the cluster.
      Returns:
        clusterName

    - #### setClusterName

          public void setClusterName(String clusterName)

    - #### displayName

          public ApiClusterSupportToken displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      The display name of the cluster that is shown in the UI. <p> Available since API v6.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### clusterSupportToken

          public ApiClusterSupportToken clusterSupportToken(String clusterSupportToken)

    - #### getClusterSupportToken

          public String getClusterSupportToken()

      The unique support token for a cluster. <p> Available since API v43.
      Returns:
        clusterSupportToken

    - #### setClusterSupportToken

          public void setClusterSupportToken(String clusterSupportToken)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.